%global githash 728f3e9
%global gitdate 20211103

Name:           cpuinfo
Version:        0
Release:        %{gitdate}.git%{githash}%{?dist}
Summary:        CPU INFOrmation library
License:        BSD
URL:            https://github.com/pytorch/cpuinfo

Source0:        %{name}.tar.xz

#ExclusiveArch:  x86_64 aarch64

BuildRequires:  cmake gcc-c++

%global __cmake_in_source_build 1


%description
A library to detect essential for performance
optimization information about host CPU.

%package        devel
Summary:        Development files
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains the development files for %{name}.



%prep
%setup -q -n %{name}



%build
rm -rf %{buildroot}

sed -i 's|clog STATIC|clog SHARED|'  deps/clog/CMakeLists.txt
sed -i 's|"hidden"|"default"|' deps/clog/include/clog.h
sed -i 's|"internal"|"default"|' deps/clog/include/clog.h
sed -i 's|clog PROPERTIES|clog PROPERTIES SOVERSION 1 VERSION 1.0|'  deps/clog/CMakeLists.txt
sed -i 's|cpuinfo PROPERTIES PUBLIC_HEADER include/cpuinfo.h|cpuinfo PROPERTIES PUBLIC_HEADER include/cpuinfo.h SOVERSION 1 VERSION 1.0|' CMakeLists.txt

mkdir build
pushd build

%cmake .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
       -DCPUINFO_LIBRARY_TYPE="shared" \
       -DCPUINFO_RUNTIME_TYPE="shared" \
       -DCPUINFO_BUILD_UNIT_TESTS=OFF \
       -DCPUINFO_BUILD_MOCK_TESTS=OFF \
       -DCPUINFO_BUILD_BENCHMARKS=OFF

make %{?_smp_mflags}

popd


%install

rm -rf %{buildroot}

pushd build
make install DESTDIR=%{buildroot}
popd


%files
%license LICENSE
%doc README.md
%ifnarch ppc64le
%{_bindir}/*
%endif
%{_libdir}/*.so.*

%files devel
%license LICENSE
%doc README.md
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Fri Sep 25 2020 Cristian Balint <cristian.balint@gmail.com> - 0.1
- initial build
